Subject: bug#35400: 27.0.50; Timers repeated after waking from suspend

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Apr 2019 20:30:19 +0300

> From: Stefan Monnier <[email-masked]>
> Date: Tue, 23 Apr 2019 12:59:42 -0400
> 
> now wait a minute and then
> 
>     kill -CONT <emacs-pid>
> 
> and you should see something like:
> 
>     Run at: 12:49:40 [7 times]
> 
> in the *Messages* buffer, before all the repetitions that couldn't be
> run while Emacs was suspended are run when we wake up.
> 
> Apparently this is *not* a new behavior (I can reproduce it with
> Debian's 26.1) although I only recently started noticing it.
> 
> If we decide to consider this a feature (I guess there can be
> circumstances where it might make sense, tho I'm not sure those would
> really work well with the way we handle timers), I think we should
> provide some way for users of timers to indicate whether they want to
> use this feature or not (and I think it makes sense to default to not
> using this feature).

I think you can already control this by customizing the value of
timer-max-repeats.  It is 10 by default, so you should never see more
than 10 repetitions, no matter how long was Emacs suspended.